org.apache.commons.jexl.util

## Class Introspector

- java.lang.Object
- - org.apache.commons.jexl.util.Introspector

    public class Introspector
    extends java.lang.Object

Little class to manage a Velocity uberspector (Vel 1.4+) for instrospective services.

Since:
  1.0
Version:
  $Id: Introspector.java 480412 2006-11-29 05:11:23Z bayard $
Author:
  Geir Magnusson Jr.

### Constructor Summary

Constructors
Constructor and Description
`Introspector()`

### Method Summary

Methods
`static Uberspect` `getUberspect()` For now, expose the raw uberspector to the AST.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Introspector

    public Introspector()

### Method Detail

#### getUberspect

    public static Uberspect getUberspect()

For now, expose the raw uberspector to the AST.

Returns:
  Uberspect The Velocity uberspector.